org.firebirdsql.gds.ng.wire

## Class GenericResponse

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.GenericResponse

All Implemented Interfaces:
  Response

    public final class GenericResponse
    extends java.lang.Object
    implements Response

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`GenericResponse(int objectHandle, long blobId, byte[] data, java.sql.SQLException exception)`

### Method Summary

Methods
`long` `getBlobId()`
`byte[]` `getData()`
`java.sql.SQLException` `getException()`
`int` `getObjectHandle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericResponse

    public GenericResponse(int objectHandle,
                   long blobId,
                   byte[] data,
                   java.sql.SQLException exception)

### Method Detail

#### getObjectHandle

    public int getObjectHandle()

#### getBlobId

    public long getBlobId()

#### getData

    public byte[] getData()

#### getException

    public java.sql.SQLException getException()